- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Windowing::IToolTip Interface Reference

List of all members.

## Detailed Description

Interface to a tool tip window.

Date:
  18/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  IToolTip.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 37 of file IToolTip.hpp.

## Public Member Functions

- virtual void hideToolTip ()=0
- IToolTip ()
- virtual void moveTo (const CPoint &where)=0
- virtual void setToolTipText (const CString &string)=0
- virtual void showToolTip (const CPoint &where)=0
- virtual bool toolTipIsVisible () const=0
- virtual ~IToolTip ()

## Constructor & Destructor Documentation

Exponent::GUI::Windowing::IToolTip::IToolTip | ( |  | ) | `[inline]`

Construction

Definition at line 49 of file IToolTip.hpp.

virtual Exponent::GUI::Windowing::IToolTip::~IToolTip | ( |  | ) | `[inline, virtual]`

Destruction

Definition at line 54 of file IToolTip.hpp.

## Member Function Documentation

virtual void Exponent::GUI::Windowing::IToolTip::hideToolTip | ( |  | ) | `[pure virtual]`

Hide the tool tip

virtual void Exponent::GUI::Windowing::IToolTip::moveTo | ( | const CPoint & | where | ) | `[pure virtual]`

Move the tool tip to a specific location

Parameters:

  | where | The position to move to

virtual void Exponent::GUI::Windowing::IToolTip::setToolTipText | ( | const CString & | string | ) | `[pure virtual]`

Set the text to be displayed

Parameters:

  | string | The string to display

virtual void Exponent::GUI::Windowing::IToolTip::showToolTip | ( | const CPoint & | where | ) | `[pure virtual]`

Show the tool tip at a specific location

Parameters:

  | where | Where to position the tooltip

virtual bool Exponent::GUI::Windowing::IToolTip::toolTipIsVisible | ( |  | ) | const`[pure virtual]`

Is the tool tip visible?

Return values:

  | bool | TRue if the user can see the tool tip, false otherwise